var _a;
const Me = imports.misc.extensionUtils.getCurrentExtension();
const St = imports.gi.St;
const PopupMenu = imports.ui.popupMenu;
const GObject = imports.gi.GObject;
const Clutter = imports.gi.Clutter;
var MenuItem = class MenuItem extends PopupMenu.PopupBaseMenuItem {
    constructor(fileInfo, onActivate, onDelete, onRestore) {
        super();
        this.fileInfo = fileInfo;
        let icon = new St.Icon({
            gicon: fileInfo.icon,
            style_class: 'popup-menu-icon'
        });
        this.add_child(icon);
        let label = new St.Label({ text: fileInfo.display() });
        this.add_child(label);
        this.connect('activate', () => {
            onActivate(this);
        });
        let restoreIcon = new St.Icon({
            icon_name: "edit-undo-symbolic",
            style_class: "popup-menu-icon",
        });
        let restoreBtn = new St.Button({
            style_class: 'action-btn',
            child: restoreIcon
        });
        restoreBtn.set_x_align(Clutter.ActorAlign.END);
        restoreBtn.set_x_expand(true);
        restoreBtn.set_y_expand(true);
        this.actor.add_child(restoreBtn);
        restoreBtn.connect('button-press-event', () => {
            onRestore(this);
        });
        let deleteIcon = new St.Icon({
            icon_name: "edit-delete-symbolic",
            style_class: 'popup-menu-icon'
        });
        let deleteBtn = new St.Button({
            style_class: 'action-btn',
            child: deleteIcon
        });
        deleteBtn.set_x_align(Clutter.ActorAlign.END);
        deleteBtn.set_x_expand(false);
        deleteBtn.set_y_expand(true);
        this.actor.add_child(deleteBtn);
        deleteBtn.connect('button-press-event', () => {
            onDelete(this);
        });
    }
    text() {
        return this.fileInfo.filename;
    }
}
_a = MenuItem;
(() => {
    GObject.registerClass(_a);
})();
